{% extends "base.html" %}

{% block content %}

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta name="viewport" content="initial-scale=1, maximum-scale=1,user-scalable=no">
        <!--<link rel="stylesheet" href="css/bootstrap.min.css">-->
        <!--<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,700">-->
        <!--<link rel="stylesheet" href="css/style.default.css" id="theme-stylesheet">-->
        <!--<link rel="stylesheet" href="css/custom.css">-->
        <link rel="shortcut icon" href="img/favicon.ico">
        <!--<link rel="stylesheet" href="https://file.myfontastic.com/da58YPMQ7U5HY8Rb6UxkNf/icons.css">-->
        <link rel="stylesheet" href="https://js.arcgis.com/3.22/dijit/themes/claro/claro.css">
        <link rel="stylesheet" href="https://js.arcgis.com/3.22/esri/css/esri.css">
        <script src="https://use.fontawesome.com/99347ac47f.js"></script>
        <script src="https://js.arcgis.com/3.22/"></script>
        <script>
            require([
    "esri/layers/FeatureLayer",
    "esri/dijit/FeatureTable",
    "esri/geometry/Extent",
    "esri/graphicsUtils",
    "esri/tasks/query",
    "esri/symbols/PictureMarkerSymbol",
    "esri/map",
    "dojo/dom",
    "dojo/parser",
    "dojo/ready",
    "dojo/on",
    "dijit/layout/ContentPane",
    "dijit/layout/BorderContainer"
], function (
        FeatureLayer, FeatureTable, Extent, graphicsUtils, Query, PictureMarkerSymbol, Map,
        dom, parser, ready, on, ContentPane, BorderContainer
        ) {

    parser.parse();

    ready(function () {

        var basemap = new esri.layers.ArcGISTiledMapServiceLayer("https://avestruz.uis.edu.co/arcgis102/rest/services/SIGAMB/MAPA_BASE_VECTORIAL_102/MapServer", {
            useMapImage: true,
            "id": "Basemap"
        });

        map = new Map("map", {
            basemap: "Basemap",
            center: [-73.1198000, 7.1253900],
            zoom: 3
        });
        map.addLayer(basemap);

        //Load a FeatureTable to the application once map loads
        map.on("load", loadTable);

        function loadTable() {

            // editable FeatureLayer
            var myFeatureLayer = new FeatureLayer("https://avestruz.uis.edu.co/arcgis102/rest/services/SIGAMB/CAPAS_TEMATICAS_CDA_CON_VISTA2/FeatureServer/0", {
                mode: FeatureLayer.MODE_ONDEMAND,
                outFields: ["*"],
                visible: true,
                id: "fLayer2"
            });

            // Imagen que se muestra cuando se selecciona un elemento del mapa
            var selectionSymbol = new PictureMarkerSymbol("https://icon-icons.com/icons2/364/PNG/256/Banned_36950.png", 35, 35);
            myFeatureLayer.setSelectionSymbol(selectionSymbol);

            // Escucha el evento en la FeatureLayer  para manejar la selección
            // de la capa a la tabla
            // Cuando el usuario hace clic en un elemento del mapa, el
            // registro correspondiene será seleccionado en la tabla
            myFeatureLayer.on("click", function (evt) {
                var idProperty = myFeatureLayer.objectIdField,
                        feature,
                        featureId,
                        query;

                if (evt.graphic && evt.graphic.attributes && evt.graphic.attributes[idProperty]) {
                    feature = evt.graphic,
                            featureId = feature.attributes[idProperty];

                    query = new Query();
                    query.returnGeometry = false;
                    query.objectIds = [featureId];
                    query.where = "1=1";

                    myFeatureLayer.selectFeatures(query, FeatureLayer.SELECTION_NEW);
                }
            });

            // this layer is an editable layer
            map.addLayer(myFeatureLayer);

            //create new FeatureTable and set its properties
            var myFeatureTable = new FeatureTable({
                featureLayer: myFeatureLayer,
                map: map,
                editable: true,
                syncSelection: true,
                dateOptions: {
                    datePattern: 'M/d/y',
                    timeEnabled: true,
                    timePattern: 'H:mm',
                },
            }, 'myTableNode');

            myFeatureTable.startup();

            // Escuchar para refrescar el evento
            myFeatureTable.on("refresh", function (evt) {
                console.log("refresh event - ", evt);
            });
        }
    });
});
        </script>
        <style>
            html, body, #map {
                width: 100%;
                height: 100%;
                margin: 0;
                padding: 0;
            }
        </style>
        <title>Editar elementos</title>
    </head>
    <body class="claro esri">
        <!-- Main Navbar -->
        <!--        <header class="header">
                    <nav class="navbar">
                        <div class="container-fluid">
                            <div class="navbar-holder d-flex align-items-center justify-content-between">
                                <a href="index.html" class="navbar-brand">
                                    <div class="brand-text brand-big hidden-lg-down">
                                        <img src="img/Logo_pagína_web_edición.png" alt="brand logo"/>
                                        <span>Aplicación de</span><strong> Edición</strong>
                                    </div>
                                    <div class="brand-text brand-small"><strong>AE</strong></div>
                                </a>
                                 Navbar Menu
                                <ul class="nav-menu list-unstyled d-flex flex-md-row align-items-md-center">
                                     Logout
                                    <li class="nav-item">
                                        <a href="login.html" class="nav-link logout">Cerrar Sesión<i class="fa fa-sign-out"></i></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </nav>
                </header>-->
        <!-- End Navbar -->

        <!-- @CONTENT -->
        <!-- Mapa 2 -->
        <div data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="design:'headline'" style="width:100%; height:100%;">
            <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'center', splitter:true" style="height:50%">
                <div id="map"></div>
            </div>
            <div id="bot" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'bottom', splitter:true" style="height:50%;">
                <div id="myTableNode"></div>
            </div>
        </div>
        <!-- Fin Mapa 2 -->
        <!-- END CONTENT -->

        <!--         Javascript files
                <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
                <script src="js/tether.min.js"></script>
                <script src="js/bootstrap.min.js"></script>
                <script src="js/jquery.cookie.js"></script>
                <script src="js/jquery.validate.min.js"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
                <script src="js/charts-home.js"></script>
                <script src="js/front.js"></script>-->
    </body>
</html>

{% endblock %}
